# Interface methods for submodule: KdTreeGenerator
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: KdTreeGenerator
class KdTreeGeneratorProxy(_ObjectProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetSample(self, sample) -> None:
		""""""
		...

	def GetSourceSample(self):
		""""""
		...

	def SetBucketSize(self, size: int) -> None:
		""""""
		...

	def GetBucketSize(self) -> int:
		""""""
		...

	def GetOutput(self):
		""""""
		...

	def Update(self) -> None:
		""""""
		...

	def GenerateData(self) -> None:
		""""""
		...

	def GetMeasurementVectorSize(self) -> int:
		""""""
		...

